/* $Id: getint.l,v 1.1.1.1 1999/01/30 06:09:06 andrewk Exp $
 ******************************************************************************
 * 
 * piocons - PSX PIO console utility for linux
 * Copyright (C) 1997,1998 by "The PIOCONS Team" (see AUTHORS)
 * All Rights Reserved.
 * 
 ******************************************************************************
 */

%option noyywrap

%{

     #define YY_INPUT(buf,result,max_size) \
         { \
         int c = fgetc(yyin); \
         result = (c == EOF) ? YY_NULL : (buf[0] = c, 1); \
         }

%}

%%

[ \t\n]+		/* eat up whitespace */
#[^\n]*			/* eat up comment */
[0-9]+			return(atoi(yytext));

%%
